<?php

namespace LakeDrops\DrupalDevelopmentEnvironment\TestSuite;

require_once __DIR__ . '/Base.php';

/**
 * Discovers tests for the functional test suite.
 */
class Functional extends Base {

  /**
   * {@inheritdoc}
   */
  final public function __construct($theClass = '', string $name = '') {
    parent::__construct($theClass, $name);
    $this->internalTestType = 'functional';
  }

  /**
   * Factory method which loads up a suite with all functional tests.
   *
   * @return static
   *   The test suite.
   */
  public static function suite(): static {
    $root = dirname(__DIR__, 5) . '/web';

    $suite = new static('functional');
    $suite->addTestsBySuiteNamespace($root, 'Functional');

    return $suite;
  }

}
